/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kmymoney2.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KMYMONEY2_STUB__
#define __KMYMONEY2_STUB__

#include <dcopstub.h>
#include <kmymoney/kmymoneyutils.h>
#include <kmymoney/register.h>
#include <kmymoney/kmymoneyplugin.h>
#include <kmymoney/mymoneybudget.h>
#include <kmymoney/mymoneypayee.h>
#include <kmymoney/mymoneyinstitution.h>
#include <kmymoney/mymoneyscheduled.h>
#include <kmymoney/mymoneyaccount.h>
#include <dcopobject.h>
#include <tdefile.h>
#include <kurl.h>
#include <kprocess.h>
#include <tdeaction.h>
#include <tdeaccel.h>
#include <tdemainwindow.h>
#include <tdeapplication.h>
#include <tqapplication.h>


class KMyMoney2App_stub : virtual public DCOPStub
{
public:
    KMyMoney2App_stub( const TQCString& app, const TQCString& id );
    KMyMoney2App_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit KMyMoney2App_stub( const DCOPRef& ref );
    virtual const TQString filename();
    virtual void webConnect( const TQString& , const TQCString& asn_id );
    virtual bool okToWriteFile( const KURL& url );
protected:
    KMyMoney2App_stub() : DCOPStub( never_use ) {}
};


#endif
